<template>
  <div id="menus">
    <el-row>
      <el-col :span="24">
        <el-menu :default-active="$route.path" router class="el-menu-demo" mode="horizontal">
          <el-menu-item index="/news/index">新闻动态</el-menu-item>
          <el-menu-item index="/achievement/index?col_name=平台建设">成果展示</el-menu-item>
          <el-menu-item index="/service/index">计算服务</el-menu-item>
          <el-menu-item index="/communication/index">交流互动</el-menu-item>
          <el-menu-item index="/partisan/index">党建学苑</el-menu-item>
        </el-menu>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'menus',
  props: {},
  components: {},
  data: function() {
    return {
      activeIndex: '',
    };
  },
  created() {},
  methods: {},
  computed: {
    ...mapState(['user']),
    pageTitle() {
      return `${this.$route.meta.title}`;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped>
.el-menu {
  background: #2152994f;
}
.el-menu--horizontal > .el-menu-item {
  height: 70px;
  line-height: 70px;
}
.el-menu-item {
  font-size: 22px;
  font-family: 微软雅黑;
  color: rgb(255, 255, 255);
  padding: 0 75px;
  border-right: 2px solid #76bdfe;
}
.el-menu-item:last-child {
  border-right: none;
  padding: 0 76px;
}
.el-menu.el-menu--horizontal {
  border-bottom: none;
}
.el-menu--horizontal .el-menu-item:not(.is-disabled):focus,
.el-menu--horizontal .el-menu-item:not(.is-disabled):hover {
  outline: 0;
  color: #fff;
}
.el-menu--horizontal > .el-menu-item:not(.is-disabled):focus,
.el-menu--horizontal > .el-menu-item:not(.is-disabled):hover,
.el-menu--horizontal > .el-submenu .el-submenu__title:hover {
  background-color: #215299;
}
.el-menu--horizontal > .el-menu-item.is-active {
  border-bottom: none;
  color: #fff;
  background: #215299;
}
</style>
